Subject: [PATCH] ARM: OMAP2xxx: PM: fix OMAP2xxx-specific UART idle bug in v3.3

From: [email-masked] (Tony Lindgren)
Date: Thu, 9 Feb 2012 17:52:25 -0800

* Paul Walmsley <[email-masked]> [120209 16:52]:
> 
> [ This patch is targeted for v3.3-rc ]
> 
> On OMAP2420-based systems, the PM code ignores the state of the UART
> functional clocks when determining what idle state to enter.  This
> breaks the serial port now that the UART driver's clock behavior can
> be controlled via the PM autosuspend timeout.
> 
> To fix, remove the special-case idle handling for the UARTs in the
> OMAP2420/2430 PM idle code added by commit
> 4af4016c53f52b26461b8030211f8427a58fa5ed ("OMAP3: PM: UART: disable
> clocks when idle and off-mode support").
> 
> Tested on Nokia N800.  This patch is a collaboration between Tony
> Lindgren <[email-masked]> and Paul Walmsley <[email-masked]>.

Glad to see this piece of code finally gone with runtime PM :)

Applying into fixes.

Regards,

Tony